<?php
require_once"wp/wp-config.php";

$id = -1;
$seq = -1;

if( isset($_POST["cmd"])  && isset($_POST["uid"])  && isset($_POST["seq"])  && isset($_POST["post-title"]) && isset($_POST["post-body"])  && $_POST["cmd"]=="createpost" ){
	
	
	
	
	$id = $_POST["uid"];
	$seq = $_POST["seq"];
	$posttitle = $_POST["post-title"];
	$postbody = $_POST["post-body"];
	
	
	$_GET["uid"] = $id;
	$_GET["seq"] = $seq;
	
	$args = array(
	
		'author' => $id,
		'meta_key' => 'seq',
		'meta_value' => $seq
	
	);
	
	$posts = get_posts($args);
	
	$user = get_userdata( $id );

	if($user && ( !isset($posts) || count($posts)==0 ) ){
	
		
		
		$new_post = array(
		'post_title' => $posttitle,
		'post_content' => $postbody,
		'post_excerpt' => $postbody,
		'post_status' => 'publish',
		'post_date' => date('Y-m-d H:i:s'),
		'post_author' => $id,
		'post_type' => 'post',
		'post_category' => array(5)
		);	
		
		
		
		$post_id = wp_insert_post($new_post);
		
		
		$post_tags = array(
    		'ID' => $post_id,
    		'tags_input' => 'ubiquitous diary, ' . $user->user_nicename );
		
		wp_update_post($post_tags);
		
		
		if(!update_post_meta($post_id,'seq',"$seq")){
			add_post_meta($post_id,'seq',"$seq");
		}
		
		
	}
	
	
}



if( isset($_POST["cmd"])  && isset($_POST["uid"])  && isset($_POST["seq"])  && isset($_POST["postid"]) && isset($_POST["comment-body"])  && $_POST["cmd"]=="addcomment" ){
	
	
	
	
	$id = $_POST["uid"];
	$seq = $_POST["seq"];
	$postid = $_POST["postid"];
	$comment = $_POST["comment-body"];
	
	
	$_GET["uid"] = $id;
	$_GET["seq"] = $seq;
	
	$args = array(
	
		'author' => $id,
		'meta_key' => 'seq',
		'meta_value' => $seq
	
	);
	
	$posts = get_posts($args);
	
	$user = get_userdata( $id );

	if($user && count($posts)>0  ){
	
	
		$data = array(
			'comment_post_ID' => $postid,
			'comment_author' => 'someone',
			'comment_author_email' => 'someone@artisopensource.net',
			'comment_author_url' => 'http://rwr.artisopensource.net/wp',
			'comment_content' => $comment,
			'comment_author_IP' => '127.0.0.1',
			'comment_agent' => 'Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; fr; rv:1.9.2.3) Gecko/20100401 Firefox/3.6.3',
			'comment_date' => date('Y-m-d H:i:s'),
			'comment_date_gmt' => date('Y-m-d H:i:s'),
			'comment_approved' => 1,
		);
		
		$comment_id = wp_insert_comment($data);
	
	}
	
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta id="viewport" name="viewport" content="width=320; initial-scale=1.0; maximum-scale=1.0; user-scalable=0;" />
<title>Generate Diary Post</title>
<link rel="stylesheet" href="stylesheets/iphone.css" />
	<link rel="apple-touch-icon" href="images/apple-touch-icon.png" />
	<script type="text/javascript" charset="utf-8">
		window.onload = function() {
		  setTimeout(function(){window.scrollTo(0, 1);}, 100);
		}
		function clickclear(thisfield, defaulttext) {
	if (thisfield.value == defaulttext) {
	thisfield.value = "";
	}
	}
	function clickrecall(thisfield, defaulttext) {
	if (thisfield.value == "") {
	thisfield.value = defaulttext;
	}
	}
	</script>
</head>
<body>
	<div id="header">
		<h1>RWR Ubiquitous Diary</h1>
	</div>
    
    
<?php
$id = -1;
$seq = -1;

if(!isset($_GET["uid"]) || !isset($_GET["seq"]) ){
	
	?>
    <h1>There has been an error</h1>
    <ul class="data">
		<li><p>There has been an error in the way you reached this address. Sorry.</p></li>
	</ul>
	
    <?
	
} else {

	$id = $_GET["uid"];
	$seq = $_GET["seq"];
	
	
	$args = array(
	
		'author' => $id,
		'meta_key' => 'seq',
		'meta_value' => $seq
	
	);
	
	$posts = get_posts($args);
	
	$user = get_userdata( $id );

	if($posts && count($posts)>0 ){
	
		// mostro il post
		
		foreach($posts as $p){
		?>
        
        <ul class="data">
        	<li><strong><?php echo( $p->post_title ); ?></strong></li>
            <li><p><em>[<?php echo( $user->user_nicename ); ?> on <?php echo( $p->post_date ); ?>]</em></p></li>
            <li><p><?php echo( do_shortcode($p->post_content) ); ?></p></li>	
        </ul>
        
        
        <?php 
		
			$args = array(
			
				'post_id' => $p->ID
			
			);
			
			$comments = get_comments($args);
			
			if(count($comments)>0){
				
				?>
                <ul class="data">
                <?php
			
			foreach($comments as $coo ){
			
				?>
                
               	<li>
                <p>
                	<em><?php echo( $coo->comment_author ); ?></em> at <?php echo( $coo->comment_date ); ?> said:<br />
                    <strong><?php echo( $coo->comment_content ); ?></strong>
                </p>
                </li>
                <?php	
				
			}
			}
			?>
            </ul>
            <?php
		
		?>


		<form action="genDiaryPost.php" method="POST">
        
        	<input type="hidden" name="cmd" value="addcomment" />
            <input type="hidden" name="uid" value="<?php echo( $id ); ?>"  />
            <input type="hidden" name="seq" value="<?php echo( $seq ); ?>"  />
            <input type="hidden" name="postid" value="<?php echo( $p->ID ); ?>"  />
        
        	<ul>
            <li>
            	<textarea name='comment-body' id='comment-body' onclick="clickclear(this, 'Enter comment')" onblur="clickrecall(this,'Enter comment')">Enter comment</textarea>
            </li>
        </ul>
    
    	<p><input type="submit" value="SAVE COMMENT" class="button white" /></p>
        
        
        </form>

        
        
        <?php	
		}
		
	} else if( $user ){
		
	
		// mostro la form per inserire il post	
		?>
    
    	<h1>Create Diary Entry</h1>

<form action="genDiaryPost.php" method="POST" >
<input type="hidden" name="uid" value="<?php  echo($id); ?>" />
<input type="hidden" name="seq" value="<?php  echo($seq); ?>" />
<input type="hidden" name="cmd" value="createpost" />
        <ul>
        	<li>
            	<input type="text" name="post-title" value="Title" id="post-title" onclick="clickclear(this, 'Title')" onblur="clickrecall(this,'Title')" />
            </li>
            <li>
            	<textarea name='post-body' id='post-body' onclick="clickclear(this, 'Enter your text')" onblur="clickrecall(this,'Enter your text')">Enter your text</textarea>
            </li>
        </ul>
    
    	<p><input type="submit" value="SAVE" class="button white" /></p>
    
        <ul class="data">
            <li><p>You can use this page to create an entry in your ubiquitous diary.</p></li>
        </ul>
</form>      
        <?php
		
		
	} else {
	
	?>
    <h1>There has been an error</h1>
    <ul class="data">
		<li><p>There has been an error in the way you reached this address. Sorry.</p></li>
	</ul>
	
    <?	
		
	}

?>
	
	
    
<?php
}
?>

<p><strong>[RWR] Read/Write Reality</strong><br /> This is an entry of the ubiquitous diary created during the Sept. 2011 edition of the workshop.</p>

</body>
</html>